com.h3c.of.lib.msg

## Interface MutableMessage

- All Superinterfaces:
    Message, MutableObject, Structure
  All Known Implementing Classes:
    OfmMutableBarrierReply, OfmMutableBarrierRequest, OfmMutableEchoReply, OfmMutableEchoRequest, OfmMutableError, OfmMutableErrorExper, OfmMutableExperimenter, OfmMutableFeaturesReply, OfmMutableFeaturesRequest, OfmMutableFlowMod, OfmMutableFlowRemoved, OfmMutableGetAsyncReply, OfmMutableGetAsyncRequest, OfmMutableGetConfigReply, OfmMutableGetConfigRequest, OfmMutableGroupMod, OfmMutableHello, OfmMutableMeterMod, OfmMutableMultipartReply, OfmMutableMultipartRequest, OfmMutablePacketIn, OfmMutablePacketOut, OfmMutablePortMod, OfmMutablePortStatus, OfmMutableQueueGetConfigReply, OfmMutableQueueGetConfigRequest, OfmMutableRoleReply, OfmMutableRoleRequest, OfmMutableSetAsync, OfmMutableSetConfig, OfmMutableTableMod

      public interface MutableMessage
      extends MutableObject, Message

  Implemented by OpenFlow message classes that provide mutators for setting the state of the message.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearXid()` Clears the transaction ID field of this message (sets it to 0).
    `OpenflowMessage` | `toImmutable()` Returns an immutable instance of this message.

    - ### Methods inherited from interface com.h3c.of.lib.MutableObject

      `writable`

    - ### Methods inherited from interface com.h3c.of.lib.msg.Message

      `getType, getXid`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### clearXid

          void clearXid()

      Clears the transaction ID field of this message (sets it to 0).
      Throws:
        `InvalidMutableException` - if this message is no longer valid

    - #### toImmutable

          OpenflowMessage toImmutable()

      Returns an immutable instance of this message. In essence, converts this message to be read-only.

      It is expected that the reference to this mutable message will be dropped. Note that all method calls invoked on a `MutableMessage` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Returns:
        an immutable instance of this message.
      Throws:
        `InvalidMutableException` - if this message is no longer writable

Copyright © 2014. All Rights Reserved.